/*
 * Author: Greg Burd, Mr. Average Developer
 *    (I would like to be a member of the NeXT Developer Support Team.)
 *
 * You may freely copy, distribute and reuse the code in this example.  
 * I disclaim any warranty of any kind, expressed or implied, as to 
 * its fitness for any particular use.
 */

#import <appkit/Application.h>
#import <appkit/Matrix.h>

#import "InspectorController.h"
#import "AppDelegate.h"

@implementation AppDelegate

/* This helps to make things compile nicely */


- appDidInit:sender
{
	[self inspectSendersTitle:NULL];
    return self;
}

/* this will just make the inspector make key and order front */
- showInspector:sender
{
	if(!myInspector)
		myInspector = [[InspectorController alloc] init];
	[myInspector showInspector];
    return self;
}

/*
 * this method is necessary to connect up the command key combinations in IB
 * and let the Application  handle the events..
 */
- inspectSendersTitle:sender
{
	[self showInspector:NULL];
	[myInspector inspectName:(char *)[(id)[sender selectedCell] title]];
    return self;
}

/* be a good object and free things nicely */
- free:sender
{
	[myInspector free];
    return self;
}


@end
